export default abstract class OutputPacket {
    send(ws: WebSocket): void {
        const data = this.data();
        ws.send(JSON.stringify({
            command: this.command(), 
            data: this.data(),
        }))
    }
    abstract data(): any 
    abstract command(): string 
}
